## dfwinreg 20170706

=== requirements.txt ===
pip >= 7.0.0
construct >= 2.5.2,<= 2.5.3
dfdatetime >= 20160814
libregf-python >= 20150315
six >= 1.1.0

## dfwinreg 20160428

=== debian/changelog ===
dfwinreg (20160428-1) unstable; urgency=medium

  * Initial release (Closes: #835994)

 -- Hilko Bengen <bengen@debian.org>  Mon, 29 Aug 2016 23:34:26 +0200

=== debian/control ===
Source: dfwinreg
Section: python
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
 python, python-setuptools,
 python3, python3-setuptools,
 python-construct, python3-construct,
 python-dfdatetime,  python3-dfdatetime,
 python-six, python3-six,
 python-libregf (>= 20150315), python3-libregf (>=20150315),
Standards-Version: 3.9.8
Homepage: https://github.com/log2timeline/dfwinreg
Vcs-Git: git://anonscm.debian.org/forensics/dfwinreg.git
Vcs-Browser: https://anonscm.debian.org/cgit/forensics/dfwinreg.git

Package: python-dfwinreg
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
Description: Digital Forensics Windows Registry library for Python 2
 dfWinReg, or Digital Forensics Windows Registry, provides read-only
 access to Windows Registry objects. The goal of dfWinReg is to
 provide a generic interface for accessing Windows Registry objects
 that resembles the Registry key hierarchy as seen on a live Windows
 system.

Package: python3-dfwinreg
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Description: Digital Forensics Windows Registry library for Python 3
 dfWinReg, or Digital Forensics Windows Registry, provides read-only
 access to Windows Registry objects. The goal of dfWinReg is to
 provide a generic interface for accessing Windows Registry objects
 that resembles the Registry key hierarchy as seen on a live Windows
 system.

## dfwinreg 20170706

=== debian/changelog ===
dfwinreg (20170706-2) unstable; urgency=medium

  * Support python-construct.legacy
  * Update versioned (build-)dependencies according to upstream's
    requirements.txt

 -- Hilko Bengen <bengen@debian.org>  Tue, 28 Nov 2017 12:10:54 +0100

dfwinreg (20170706-1) unstable; urgency=medium

  * New upstream version 20170706
  * Bump Standards-Version, Debhelper compat level

 -- Hilko Bengen <bengen@debian.org>  Fri, 07 Jul 2017 08:29:47 +0200

dfwinreg (20170703-1) unstable; urgency=medium

  * New upstream version 20170703
  * Drop patch that has been integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Tue, 04 Jul 2017 07:19:46 +0200

dfwinreg (20170529-1) unstable; urgency=medium

  * New upstream version 20170529
  * Add patch to address failing Python3 tests

 -- Hilko Bengen <bengen@debian.org>  Thu, 01 Jun 2017 09:04:20 +0200

dfwinreg (20170519-1) unstable; urgency=medium

  * New upstream version 20170519
  * Add python-mock, python3-mock build-dependency

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 May 2017 17:51:51 +0200

dfwinreg (20170403-1) unstable; urgency=medium

  * New upstream version 20170403

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Apr 2017 19:02:34 +0200

dfwinreg (20170327-1) unstable; urgency=medium

  * New upstream version 20170327
  * Clarify copyright for utils/upload.py

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Mar 2017 23:03:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper (>= 10), dh-python,
  python, python-setuptools,
  python3, python3-setuptools,
- python-construct, python3-construct,
- python-dfdatetime,  python3-dfdatetime,
- python-six, python3-six,
+ python-construct.legacy | python-construct (<< 2.8),
+ python3-construct.legacy | python3-construct (<< 2.8),
+ python-dfdatetime (>= 20160814), python3-dfdatetime (>= 20160814),
+ python-six (>= 1.1.0), python3-six (>= 1.1.0),
  python-libregf (>= 20150315), python3-libregf (>=20150315),
-Standards-Version: 3.9.8
+ python-mock, python3-mock,
+Standards-Version: 4.0.0
 Homepage: https://github.com/log2timeline/dfwinreg
 Vcs-Git: git://anonscm.debian.org/forensics/dfwinreg.git
 Vcs-Browser: https://anonscm.debian.org/cgit/forensics/dfwinreg.git
@@ -18,6 +20,11 @@
 Package: python-dfwinreg
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+ python-construct.legacy | python-construct (<< 2.8),
+ python-dfdatetime (>= 20160814),
+ python-six (>= 1.1.0),
+ python-libregf (>= 20150315),
+ python-mock,
 Description: Digital Forensics Windows Registry library for Python 2
  dfWinReg, or Digital Forensics Windows Registry, provides read-only
  access to Windows Registry objects. The goal of dfWinReg is to
@@ -28,6 +35,11 @@
 Package: python3-dfwinreg
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+ python3-construct.legacy | python3-construct (<< 2.8),
+ python3-dfdatetime (>= 20160814),
+ python3-six (>= 1.1.0),
+ python3-libregf (>=20150315),
+ python3-mock,
 Description: Digital Forensics Windows Registry library for Python 3
  dfWinReg, or Digital Forensics Windows Registry, provides read-only
  access to Windows Registry objects. The goal of dfWinReg is to

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# Tests may fail due to stupid Python UnicodeEncodeError exceptions
# otherwise.
export LC_ALL=C.UTF-8

# main packaging script based on dh7 syntax
%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install --fail-missing -X/usr/share/doc/

override_dh_auto_test:
	python run_tests.py
	python3 run_tests.py

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
    https://github.com/log2timeline/dfwinreg/releases .*/archive/(20.*)\.tar\.gz

## dfwinreg 20180712

=== debian/changelog ===
dfwinreg (20180712-1) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * Import new upstream release
  * Add upstream metadata file
  * Drop python 2 support
  * d/control:
    - Bump debhelper version to 11
    - Bump Standards-Version to 4.2.1
    - Update {Build-}Depends based on new upstream release
  * d/compat:
    - Bump compat version to 11
  * d/copyright:
    - Remove copyright of non-existent file
    - Add SZ Lin (林上智) in copyright
  * d/*.install
    - Remove python3-dfwinreg.install since pybuild will handle installation
    - Remove python-dfwinreg.install
  * d/patches:
    - Remove construct patch since upstream migrated from construct to dtfabric
  * d/rules:
    - Add override_dh_missing target (--fail-missing)
    - Remove python 2 options
    - Add 'nocheck' check in DEB_BUILD_OPTIONS
    - Remove extra license file

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 30 Oct 2018 19:16:35 +0800

## dfwinreg 20181214

=== debian/changelog ===
dfwinreg (20181214-1) unstable; urgency=medium

  * Team upload.
  * Import new upstream release (Closes: #916701)

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 18 Dec 2018 13:25:48 +0800

=== debian/control ===
Source: dfwinreg
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 11), dh-python,
 dtfabric (>= 20170524),
 python3, python3-setuptools,
 python3-dfdatetime (>= 20160814),
 python3-libregf (>=20150315),
 python3-mock,
 python3-six (>= 1.1.0),
Standards-Version: 4.2.1
Homepage: https://github.com/log2timeline/dfwinreg
Vcs-Git: https://salsa.debian.org/pkg-security-team/dfwinreg.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dfwinreg

Package: python3-dfwinreg
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 dtfabric (>= 20170524),
 python3-dfdatetime (>= 20160814),
 python3-libregf (>=20150315),
 python3-mock,
 python3-six (>= 1.1.0),
 python3-yaml (>= 3.10)
Description: Digital Forensics Windows Registry library for Python 3
 dfWinReg, or Digital Forensics Windows Registry, provides read-only
 access to Windows Registry objects. The goal of dfWinReg is to
 provide a generic interface for accessing Windows Registry objects
 that resembles the Registry key hierarchy as seen on a live Windows
 system.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	find ./debian -name "LICENSE" -delete

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 run_tests.py
endif

override_dh_missing:
	dh_missing --fail-missing

## dfwinreg 20190122

=== requirements.txt ===
pip >= 7.0.0
PyYAML >= 3.10
dfdatetime >= 20160814
dtfabric >= 20170524
libregf-python >= 20150315

=== debian/changelog ===
dfwinreg (20190122-1) unstable; urgency=medium

  * New upstream version 20190122
  * Bump Debhelper compat level
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Jan 2019 10:45:44 +0100

dfwinreg (20181214-3) unstable; urgency=medium

  * Fix dtfabric dependencies (Closes: #918326)
  * Add python{,3}-yaml build-dependencies (Closes: #918645)

 -- Hilko Bengen <bengen@debian.org>  Mon, 14 Jan 2019 10:50:10 +0100

dfwinreg (20181214-2) unstable; urgency=medium

  * watch: Mangle download filename
  * Re-add python2 package (Closes: #914607)

 -- Hilko Bengen <bengen@debian.org>  Fri, 21 Dec 2018 22:58:24 +0100

=== debian/control ===
Source: dfwinreg
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 12), dh-python,
 python-dtfabric (>= 20170524), python3-dtfabric (>= 20170524),
 python, python3,
 python-setuptools, python3-setuptools,
 python-dfdatetime (>= 20160814), python3-dfdatetime (>= 20160814),
 python-libregf (>=20150315), python3-libregf (>=20150315),
 python-mock, python3-mock,
 python-six (>= 1.1.0), python3-six (>= 1.1.0),
 python-yaml (>= 3.10),  python3-yaml (>= 3.10),
Standards-Version: 4.3.0
Homepage: https://github.com/log2timeline/dfwinreg
Vcs-Git: https://salsa.debian.org/pkg-security-team/dfwinreg.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dfwinreg

Package: python-dfwinreg
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-dtfabric (>= 20170524),
 python-dfdatetime (>= 20160814),
 python-libregf (>=20150315),
 python-mock,
 python-six (>= 1.1.0),
 python-yaml (>= 3.10)
Description: Digital Forensics Windows Registry library for Python 2
 dfWinReg, or Digital Forensics Windows Registry, provides read-only
 access to Windows Registry objects. The goal of dfWinReg is to
 provide a generic interface for accessing Windows Registry objects
 that resembles the Registry key hierarchy as seen on a live Windows
 system.
 .
 This package contains the library for Python 2.

Package: python3-dfwinreg
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-dtfabric (>= 20170524),
 python3-dfdatetime (>= 20160814),
 python3-libregf (>=20150315),
 python3-mock,
 python3-six (>= 1.1.0),
 python3-yaml (>= 3.10)
Description: Digital Forensics Windows Registry library for Python 3
 dfWinReg, or Digital Forensics Windows Registry, provides read-only
 access to Windows Registry objects. The goal of dfWinReg is to
 provide a generic interface for accessing Windows Registry objects
 that resembles the Registry key hierarchy as seen on a live Windows
 system.
 .
 This package contains the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -4,16 +4,22 @@
 include /usr/share/dpkg/default.mk
 
 export LC_ALL=C.UTF-8
+export PYBUILD_NAME:=dfwinreg
 
 %:
-	dh $@ --with=python3 --buildsystem=pybuild
+	dh $@ --with=python2,python3 --buildsystem=pybuild
 
 override_dh_install:
 	dh_install
+	mv debian/python3-dfwinreg/usr/share/doc/dfwinreg \
+	   debian/python3-dfwinreg/usr/share/doc/python3-dfwinreg
+	mv debian/python-dfwinreg/usr/share/doc/dfwinreg \
+	   debian/python-dfwinreg/usr/share/doc/python-dfwinreg
 	find ./debian -name "LICENSE" -delete
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	python run_tests.py
 	python3 run_tests.py
 endif

## dfwinreg 20201006

=== requirements.txt ===
pip >= 7.0.0
PyYAML >= 3.10
dfdatetime >= 20160814
dtfabric >= 20170524
libcreg-python >= 20200725
libregf-python >= 20201002

=== debian/changelog ===
dfwinreg (20201006-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * B-D on python3-libcreg, which solves a FTBFS during testing.
  (Closes: #976653)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 14 Dec 2020 17:14:54 -0500

dfwinreg (20201006-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian

  [ Hilko Bengen ]
  * New upstream version 20201006
  * Update build-dependencies

 -- Hilko Bengen <bengen@debian.org>  Sat, 05 Dec 2020 14:36:37 +0100

dfwinreg (20190122-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #943012, #936389

 -- Sandro Tosi <morph@debian.org>  Mon, 30 Dec 2019 01:37:16 -0500

=== debian/control ===
Source: dfwinreg
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 12), dh-python,
 python3-dtfabric (>= 20170524),
 python3-all,
 python3-setuptools,
 python3-dfdatetime (>= 20160814),
 python3-libregf (>=20201002),
 python3-mock,
 python3-six (>= 1.1.0),
 python3-yaml (>= 3.10),
 python3-libcreg <!nocheck>,
Standards-Version: 4.3.0
Homepage: https://github.com/log2timeline/dfwinreg
Vcs-Git: https://salsa.debian.org/pkg-security-team/dfwinreg.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dfwinreg

Package: python3-dfwinreg
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-dtfabric (>= 20170524),
 python3-dfdatetime (>= 20160814),
 python3-libregf (>=20150315),
 python3-mock,
 python3-six (>= 1.1.0),
 python3-yaml (>= 3.10)
Description: Digital Forensics Windows Registry library for Python 3
 dfWinReg, or Digital Forensics Windows Registry, provides read-only
 access to Windows Registry objects. The goal of dfWinReg is to
 provide a generic interface for accessing Windows Registry objects
 that resembles the Registry key hierarchy as seen on a live Windows
 system.
 .
 This package contains the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8
export PYBUILD_NAME:=dfwinreg

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mv debian/python3-dfwinreg/usr/share/doc/dfwinreg \
	   debian/python3-dfwinreg/usr/share/doc/python3-dfwinreg
	find ./debian -name "LICENSE" -delete

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 run_tests.py
endif

override_dh_missing:
	dh_missing --fail-missing

## dfwinreg 20211207

=== debian/changelog ===
dfwinreg (20211207-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:42:44 +0200

dfwinreg (20211207-0kali1) kali-dev; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian

  [ Sophie Brun ]
  * Update debian/watch
  * New upstream version 20211207
  * Use debhelper-compat 13
  * Remove Python2 module
  * Add missing build-dep and dep python3-libcreg

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 19 May 2022 11:26:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 12), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
  python3-dtfabric (>= 20170524),
- python3-all,
+ python3,
  python3-setuptools,
  python3-dfdatetime (>= 20160814),
- python3-libregf (>=20201002),
+ python3-libcreg <!nocheck>,
+ python3-libregf (>=20150315),
  python3-mock,
  python3-six (>= 1.1.0),
  python3-yaml (>= 3.10),
- python3-libcreg <!nocheck>,
 Standards-Version: 4.3.0
 Homepage: https://github.com/log2timeline/dfwinreg
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dfwinreg.git
@@ -23,6 +23,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  python3-dtfabric (>= 20170524),
  python3-dfdatetime (>= 20160814),
+ python3-libcreg,
  python3-libregf (>=20150315),
  python3-mock,
  python3-six (>= 1.1.0),

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d*$//, filenamemangle=s%.*/(\d+)\.tar\.gz%dfwinreg-$1.tar.gz%" \
    https://github.com/log2timeline/dfwinreg/releases .*/archive/refs/tags/(20.*)\.tar\.gz

## dfwinreg 20240316

=== requirements.txt ===
PyYAML >= 3.10
dfdatetime >= 20160814
dtfabric >= 20170524
libcreg-python >= 20210502
libregf-python >= 20201002

=== debian/changelog ===
dfwinreg (20240316-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Fix d/watch
  * New upstream version 20240316 (Closes: #1074700, #1061073)
  * Switch to DebHelper 13
  * Drop dependency on python3-mock & python3-six

  [ Hilko Bengen ]
  * Update python3-libcreg dependency
  * Bump Standards-Version
  * Ship Sphinx-generated documentation
  
 -- Hilko Bengen <bengen@debian.org>  Tue, 03 Dec 2024 12:53:25 +0000

=== debian/control ===
Source: dfwinreg
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-dtfabric (>= 20170524),
 python3-all,
 python3-setuptools,
 python3-dfdatetime (>= 20160814),
 python3-libregf (>=20201002),
 python3-yaml (>= 3.10),
 python3-libcreg (>= 20210502) <!nocheck>,
# documentation
 python3-sphinx, python3-recommonmark, python3-sphinx-markdown-tables, python3-sphinx-rtd-theme,
Standards-Version: 4.7.0
Homepage: https://github.com/log2timeline/dfwinreg
Vcs-Git: https://salsa.debian.org/pkg-security-team/dfwinreg.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dfwinreg

Package: python3-dfwinreg
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends},
 python3-dtfabric (>= 20170524),
 python3-dfdatetime (>= 20160814),
 python3-libregf (>=20150315),
 python3-yaml (>= 3.10)
Built-Using: ${sphinxdoc:Built-Using},
Description: Digital Forensics Windows Registry library for Python 3
 dfWinReg, or Digital Forensics Windows Registry, provides read-only
 access to Windows Registry objects. The goal of dfWinReg is to
 provide a generic interface for accessing Windows Registry objects
 that resembles the Registry key hierarchy as seen on a live Windows
 system.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8
export PYBUILD_NAME:=dfwinreg

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

override_dh_sphinxdoc:
	PYTHONPATH=src python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python3-dfwinreg/usr/share/doc/python3-dfwinreg/html
	dh_sphinxdoc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 run_tests.py
endif

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//, filenamemangle=s%.*/(\d+)\.tar\.gz%dfwinreg-$1.tar.gz%" \
    https://github.com/log2timeline/dfwinreg/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
